<template>
    <div class="field-textarea">
        <textarea :value="value" :name="name" :placeholder="placeholder" class="field-textarea__textarea" @keyup="$emit('input', $event.target.value)"></textarea>
        <transition name="slide">
            <div v-show="error && !value"
            >
                <div class="error-message field-textarea__error-message">
                    {{ error }}
                </div>
            </div>
        </transition>
    </div>
</template>

<script>
export default {
    name: 'base-field-textarea',
    props: {
        name: {
            type: String,
            required: true
        },
        value: {
            type: String,
            required: true
        },
        placeholder: {
            type: String,
            default: ''
        },
        error: String
    }
};
</script>

<style lang="sass">
@import "~assets/blocks/fields/field-textarea/index"
</style>
